> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post storagecopy 

> Copy all storage items from the source too the target.



## OpenAPI

````yaml /schema.json post /storage/copy/{source}/{target}
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /storage/copy/{source}/{target}:
    post:
      tags:
        - Storage
      description: Copy all storage items from the source too the target.
      operationId: storageCopy
      parameters:
        - name: source
          in: path
          description: The storage that needs to be copied.
          required: true
          schema:
            type: string
        - name: target
          in: path
          description: The target storage where data will be stored.
          required: true
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Information about the enabled objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StorageCopyResponse'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    StorageCopyResponse:
      type: object
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````